### Index

- ArrayType (src/.../types.ts)
- AsyncValidator (src/.../types.ts)
- AsyncValidatorFn (src/.../types.ts)
- ChangeFn (src/.../model.ts)
- ControlEventOptions (src/.../types.ts)
- ControlInsertedFn (src/.../model.ts)
- ControlPath (src/.../types.ts)
- ControlRemovedFn (src/.../model.ts)
- ControlState (src/.../types.ts)
- Discriminate (src/.../is-complex.ts)
- EmitEvent (src/.../types.ts)
- ExtractAbstractControl (src/.../types.ts)
- ExtractStrings (src/.../types.ts)
- FormBuilderFn (src/.../model.ts)
- FormType (src/.../model.ts)
- KeyValueControls (src/.../types.ts)
- OnlySelf (src/.../types.ts)
- OrBoxedValue (src/.../types.ts)
- RxapAbstractControlOptions (src/.../model.ts)
- SetValueFn (src/.../model.ts)
- ValidationErrors (src/.../types.ts)
- Validator (src/.../types.ts)
- ValidatorFn (src/.../types.ts)
- ValidatorOrOpts (src/.../types.ts)

### src/lib/types.ts

ArrayType
````

AsyncValidator
``AsyncValidatorFn | AsyncValidatorFn[] | null``

AsyncValidatorFn
``function``

ControlEventOptions
``Pick<ControlOptions | "emitEvent" | "onlySelf" | "coerce" | "strict">``

ControlPath
``Array<string | number> | string``

ControlState
``"VALID" | "INVALID" | "PENDING" | "DISABLED"``

EmitEvent
``Pick<ControlOptions | emitEvent>``

ExtractAbstractControl
````

ExtractStrings
``Extract<T | string>``

KeyValueControls
````

OnlySelf
``Pick<ControlOptions | onlySelf>``

OrBoxedValue
``T | BoxedValue<T> |``

ValidationErrors
``T``

Validator
``ValidatorFn | ValidatorFn[]``

ValidatorFn
``function``

ValidatorOrOpts
``ValidatorFn | ValidatorFn[] | AbstractControlOptions | null``

### src/lib/model.ts

ChangeFn
``function``

ControlInsertedFn
``function``

ControlRemovedFn
``function``

FormBuilderFn
``function``

FormType
````

RxapAbstractControlOptions
````

SetValueFn
``function``

### src/lib/validators/is-complex.ts

Discriminate
````

# results matching ""

# No results matching ""